Bug 743134 - Translation Editor: Implement switchable navigation modes
Translation Editor: Implement switchable navigation modes
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.4-RC
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.4.2
Assigned To: Runa Bhattacharjee
Ding-Yi Chen
: Improvement, Task
Depends On:
Blocks: 743785
  Show dependency treegraph
 
Reported: 2011-10-03 20:08 EDT by Alex Eng
Modified: 2013-03-03 21:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:02:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex Eng 2011-10-03 20:08:41 EDT
Description of problem:
Able to switch navigation mode of ALT+Pageup and ALT+Pagedown between:
1) Next/Prev Fuzzy
2) Next/Prev Untranslated
3) Both (current state)
Comment 1 Alex Eng 2011-10-05 21:53:28 EDT
Bug fixed.
Comment 3 Ding-Yi Chen 2011-10-09 23:38:27 EDT
VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111007-1636)

Runa, mind asking translator try it out and see what they think?
Comment 4 Runa Bhattacharjee 2011-10-21 06:06:35 EDT
I hit a bug while using Alt+PgDown and Alt+PgUp when navigating through multiple pages.

The translation units do not get focus if the navigation moves to the next or previous page. As a result, after the first fuzzy/UT (as per the setting) is found on the next or previous page, the navigation stops.
Comment 5 Sean Flanigan 2011-10-23 21:00:00 EDT
That sounds like bug 739422.

Note You need to log in before you can comment on or make changes to this bug.